apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2025-12-24T06:27:58Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:type': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2025-12-24T06:27:57Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:completed': {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2025-12-24T07:35:16Z'
  name: test-win-static-ip
  namespace: openshift-mtv
  resourceVersion: '321836454'
  uid: d02db20d-19f4-4e23-8d65-8c99836befce
spec:
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: openshift-mtv
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 2423c144-19a2-4c27-9e3f-f6790a9dd9d2
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vc8
      namespace: openshift-mtv
      uid: 4fc722c7-37dd-4aba-b7cc-b1dc7bf19545
  preserveStaticIPs: true
  type: cold
  vms:
    - id: vm-598
      name: esx8.0-win11-x86_64-efi-25h2
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: vc8-dvth4
      namespace: openshift-mtv
      uid: fbc02d0a-f11a-4f3d-b531-f7fb652fa52b
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: vc8-49zws
      namespace: openshift-mtv
      uid: 4d223df3-86d8-492b-a738-fe019bbb51dc
  runPreflightInspection: true
  targetPowerState: auto
status:
  conditions:
    - category: Advisory
      durable: true
      lastTransitionTime: '2025-12-24T06:50:23Z'
      message: The plan execution has SUCCEEDED.
      status: 'True'
      type: Succeeded
    - category: Warn
      items:
        - ' id:vm-598 name:''esx8.0-win11-x86_64-efi-25h2'' '
      lastTransitionTime: '2025-12-24T06:50:30Z'
      message: 'Target VM name does not comply with DNS1123 RFC, will be automatically changed.'
      reason: NotValid
      status: 'True'
      type: TargetNameNotValid
    - category: Critical
      items:
        - ' id:vm-598 name:''esx8.0-win11-x86_64-efi-25h2'' '
      lastTransitionTime: '2025-12-24T06:50:30Z'
      message: 'VM  id:vm-598 name:''esx8.0-win11-x86_64-efi-25h2''  has MAC address conflicts: MACs 00:50:56:a5:a1:9e conflict with destination VM openshift-mtv/esx8.0-win11-x86-64-efi-25h2'
      reason: NotValid
      status: 'True'
      type: MacConflicts
  migration:
    completed: '2025-12-24T06:50:23Z'
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-24T06:50:23Z'
            message: The plan execution has SUCCEEDED.
            status: 'True'
            type: Succeeded
        map:
          network:
            generation: 1
            name: vc8-dvth4
            namespace: openshift-mtv
            uid: fbc02d0a-f11a-4f3d-b531-f7fb652fa52b
          storage:
            generation: 1
            name: vc8-49zws
            namespace: openshift-mtv
            uid: 4d223df3-86d8-492b-a738-fe019bbb51dc
        migration:
          generation: 1
          name: test-win-static-ip-2cr42
          namespace: openshift-mtv
          uid: 06d54e31-7c18-4b63-a9aa-d04878814ca2
        plan:
          generation: 1
          name: test-win-static-ip
          namespace: openshift-mtv
          uid: d02db20d-19f4-4e23-8d65-8c99836befce
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 2423c144-19a2-4c27-9e3f-f6790a9dd9d2
          source:
            generation: 2
            name: vc8
            namespace: openshift-mtv
            uid: 4fc722c7-37dd-4aba-b7cc-b1dc7bf19545
    started: '2025-12-24T06:30:38Z'
    vms:
      - started: '2025-12-24T06:30:38Z'
        pipeline:
          - completed: '2025-12-24T06:32:27Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-24T06:30:38Z'
          - annotations:
              unit: MB
            completed: '2025-12-24T06:32:31Z'
            description: Allocate disks.
            name: DiskAllocation
            phase: Completed
            progress:
              completed: 40960
              total: 40960
            started: '2025-12-24T06:32:31Z'
            tasks:
              - annotations:
                  unit: MB
                completed: '2025-12-24T06:32:31Z'
                name: '[esx8.0-matrix-2] esx8.0-win11-x86_64-efi-25h2/esx8.0-win11-x86_64-efi-25h2.vmdk'
                phase: Completed
                progress:
                  completed: 40960
                  total: 40960
                reason: Transfer completed.
                started: '2025-12-24T06:32:31Z'
          - completed: '2025-12-24T06:34:26Z'
            description: Convert image to kubevirt.
            name: ImageConversion
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-24T06:32:35Z'
          - annotations:
              unit: MB
            completed: '2025-12-24T06:50:20Z'
            description: Copy disks.
            name: DiskTransferV2v
            phase: Completed
            progress:
              completed: 40960
              total: 40960
            started: '2025-12-24T06:34:30Z'
            tasks:
              - annotations:
                  unit: MB
                name: '[esx8.0-matrix-2] esx8.0-win11-x86_64-efi-25h2/esx8.0-win11-x86_64-efi-25h2.vmdk'
                progress:
                  completed: 40960
                  total: 40960
          - completed: '2025-12-24T06:50:23Z'
            description: Create VM.
            name: VirtualMachineCreation
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2025-12-24T06:50:22Z'
        newName: esx8.0-win11-x86-64-efi-25h2
        completed: '2025-12-24T06:50:23Z'
        name: esx8.0-win11-x86_64-efi-25h2
        operatingSystem: windows11_64Guest
        luks: {}
        conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2025-12-24T06:50:23Z'
            message: The VM migration has SUCCEEDED.
            status: 'True'
            type: Succeeded
        restorePowerState: 'On'
        id: vm-598
        phase: Completed
  observedGeneration: 1

